# smbmount

`smbmount` est un script Bash pour monter facilement des partages SMB en bénéficiant d’une complétion dynamique basée sur la découverte réseau via Avahi.

---

## Fonctionnalités

* **Montage SMB simplifié** : script Bash qui facilite le montage de partages SMB.
* **Complétion dynamique** : suggestions automatiques des serveurs SMB disponibles sur le réseau grâce à Avahi.
* Installation flexible :

  * Au niveau système (avec droits administrateur).
  * En mode utilisateur (sans droits, dans `~/.local`).

---

## Prérequis

* Linux avec `bash`
* `avahi-browse` installé (généralement dans le paquet `avahi-utils`)
* Accès aux dossiers d’installation (voir ci-dessous)

---

## Installation

Utilise le `Makefile` pour installer automatiquement :

```bash
make install
```

* Si tu as les droits d’écriture dans `/usr/local/bin` et `/etc/bash_completion.d`, l’installation se fera au niveau système.
* Sinon, le script sera installé dans `~/.local/bin` et la complétion dans `~/.bash_completion.d`.

### Configuration complémentaire (mode utilisateur)

Si l’installation est en mode utilisateur, ajoute ces lignes à ton fichier `~/.bashrc` pour que le script et la complétion soient bien pris en compte :

```bash
export PATH="$HOME/.local/bin:$PATH"
[ -f "$HOME/.bash_completion.d/smbmount" ] && source "$HOME/.bash_completion.d/smbmount"
```

Puis recharge ton shell :

```bash
source ~/.bashrc
```

---

## Utilisation

```bash
smbmount -A <nom_serveur> [options]
```

* La complétion fonctionne sur l’argument `<nom_serveur>`, en proposant la liste des serveurs SMB détectés.
* Par exemple, tape `smbmount -A <Tab><Tab>` pour voir les serveurs disponibles.

---

## Désinstallation

Pour supprimer l’installation (mode système ou utilisateur), lance :

```bash
make uninstall
```

